#!/bin/bash

set -eou pipefail

echo "rendering folder"

cuddle render folder \
  --source $TMP/kustomize \
  --destination $TMP/rendered/kustomize \
  --extra-var cluster=$CLUSTER \
  --extra-var image_tag=$IMAGE_TAG

echo "rendering kustomize"

cuddle render kustomize \
  --kustomize-folder $TMP/rendered/kustomize/base \
  --destination $TMP/k8s

echo "done"
